package com.xjrsoft.module.erpModel.caseErpDevice.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpDeviceWarnInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("检查设备")
    private Long deviceId;

    @ApiModelProperty("处理人ids")
    private String dealUserIds;

    @ApiModelProperty("处理人名称")
    private String dealUserNames;

    @ApiModelProperty("设备类型数据字典id")
    private Long typeId;

    @ApiModelProperty("设备编号")
    @JsonProperty("number")
    private String code;

    @ApiModelProperty("设备名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("设备位置")
    private String address;

    @ApiModelProperty("处理方式")
    private String dealWay;

    @ApiModelProperty("处理日期")
    @JsonProperty("date")
    private LocalDateTime dealDate;

    @ApiModelProperty("故障等级，数据字典id")
    @JsonProperty("level")
    private String warnLevel;

    @ApiModelProperty("故障描述")
    private String remark;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("处理状态(1已处理，0待处理)")
    private Integer state;
}
