package com.xjrsoft.module.erpModel.caseErpPurchase.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 分页列表出参
* @Author 管理员
* @Date: 2023-07-20
* @Version 1.0
*/
@Data
public class CaseErpApplyPageVo {

    /**
    * 主键
    */
    @ExcelIgnore
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 申请单号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请单号")
    @ApiModelProperty("申请单号")
    private String applyNumber;
    /**
    * 申请主题
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请主题")
    @ApiModelProperty("申请主题")
    private String theme;
    /**
    * 申请日期
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请日期")
    @ApiModelProperty("申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime applyDate;
    /**
    * 申请部门id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请部门")
    @ApiModelProperty("申请部门id")
    @ExcelIgnore
    @Trans(type = TransType.DEPT)
    private Long applyDepId;

    @ExcelProperty("申请部门名称")
    @ApiModelProperty("申请部门名称")
    private String applyDepName;

    /**
    * 申请人员ids
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人员")
    @ExcelIgnore
    @ApiModelProperty("申请人员ids")
    @Trans(type = TransType.USER)
    private String applyUserIds;

    @ExcelProperty("申请人员")
    @ApiModelProperty("申请人员names")
    private String applyUserName;

    /**
    * 关联项目,数据字典id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("关联项目")
    @ExcelIgnore
    @ApiModelProperty("关联项目,数据字典id")
    @Trans(type = TransType.DIC, id = "1680768933996957698")
    private Long relatedProject;

    @ExcelProperty("关联项目")
    @ApiModelProperty("关联项目,数据字典name")
    private String relatedProjectName;

    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 是否使用系统编号（0-未使用，1-使用）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelIgnore
    @ApiModelProperty("是否使用系统编号（0-未使用，1-使用）")
    private String isSysNum;

    @ApiModelProperty("采购状态,0:未采购，：已采购")
    @ExcelProperty("采购状态")
    private Integer purchaseStatus;

    @ApiModelProperty("物品概要")
    @ExcelProperty("物品概要")
    private String applyDetail;

}
