package com.xjrsoft.module.erpModel.caseErpStock.service.impl;

import com.xjrsoft.module.erpModel.caseErpStock.entity.CaseErpInstoreLog;
import com.xjrsoft.module.erpModel.caseErpStock.mapper.CaseErpInstoreLogMapper;
import com.xjrsoft.module.erpModel.caseErpStock.service.ICaseErpInstoreLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xjrsoft.module.erpModel.caseErpStock.vo.*;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * <p>
 * 入库记录【case_erp_instore_log】 服务实现类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-20
 */
@Service
public class CaseErpInstoreLogServiceImpl extends ServiceImpl<CaseErpInstoreLogMapper, CaseErpInstoreLog> implements ICaseErpInstoreLogService {


    @Override
    public List<StatisticalData> getStatisticalData() {
        List<StatisticalData> list=new ArrayList<>();
        StatisticalData statisticalData=new StatisticalData();
        statisticalData.setName("在库原材料");
        statisticalData.setNum(75890);
        statisticalData.setUnit("KG");
        statisticalData.setPecent("1.14");
        statisticalData.setIsup(true);
        list.add(statisticalData);
        StatisticalData statisticalData2=new StatisticalData();
        statisticalData2.setName("在库设备");
        statisticalData2.setNum(166);
        statisticalData2.setUnit("台");
        statisticalData2.setPecent("0.66");
        statisticalData2.setIsup(false);
        list.add(statisticalData2);
        StatisticalData statisticalData3=new StatisticalData();
        statisticalData3.setName("在库半成品");
        statisticalData3.setNum(231);
        statisticalData3.setUnit("KG");
        statisticalData3.setPecent("1.62");
        statisticalData3.setIsup(false);
        list.add(statisticalData3);
        StatisticalData statisticalData4=new StatisticalData();
        statisticalData4.setName("在库成品");
        statisticalData4.setNum(2188);
        statisticalData4.setUnit("KG");
        statisticalData4.setPecent("0.02");
        statisticalData4.setIsup(false);
        list.add(statisticalData4);
        StatisticalData statisticalData5=new StatisticalData();
        statisticalData5.setName("总库存金额");
        statisticalData5.setNum(1477589);
        statisticalData5.setUnit("万元");
        statisticalData5.setPecent("10.5");
        statisticalData5.setIsup(true);
        list.add(statisticalData5);
        return list;
    }

    @Override
    public List<DocAnalysis> getDocAnalysis() {
        List<DocAnalysis> list=new ArrayList<>();
        List<DataVo>data=new ArrayList<>();
        DocAnalysis docAnalysis=new DocAnalysis();
        DataVo dataVo=new DataVo();  dataVo.setName("原材料"); dataVo.setValue(320); data.add(dataVo);
        DataVo dataVo2=new DataVo();dataVo2.setName("装配件");dataVo2.setValue(302);  data.add(dataVo2);
        DataVo dataVo3=new DataVo(); dataVo3.setName("包装材料");dataVo3.setValue(301); data.add(dataVo3);
        DataVo dataVo4=new DataVo();dataVo4.setName("油料化工"); dataVo4.setValue(334);  data.add(dataVo4);
        DataVo dataVo5=new DataVo();dataVo5.setName("设备配件"); dataVo5.setValue(190);data.add(dataVo5);
        DataVo dataVo6=new DataVo(); dataVo6.setName("其他"); dataVo6.setValue(130);  data.add(dataVo6);
        List<DataVo>data2=new ArrayList<>();
        DataVo d2ataVo=new DataVo();  d2ataVo.setName("原材料"); d2ataVo.setValue(123); data2.add(d2ataVo);
        DataVo d2ataVo2=new DataVo();d2ataVo2.setName("装配件");d2ataVo2.setValue(450);  data2.add(d2ataVo2);
        DataVo d2ataVo3=new DataVo(); d2ataVo3.setName("包装材料");d2ataVo3.setValue(112); data2.add(d2ataVo3);
        DataVo d2ataVo4=new DataVo();d2ataVo4.setName("油料化工"); d2ataVo4.setValue(140);  data2.add(d2ataVo4);
        DataVo d2ataVo5=new DataVo();d2ataVo5.setName("设备配件"); d2ataVo5.setValue(310);data2.add(d2ataVo5);
        DataVo d2ataVo6=new DataVo(); d2ataVo6.setName("其他"); d2ataVo6.setValue(243);  data2.add(d2ataVo6);
        List<DataVo>data3=new ArrayList<>();
        DataVo d3ataVo=new DataVo();  d3ataVo.setName("原材料"); d3ataVo.setValue(112); data3.add(d3ataVo);
        DataVo d3ataVo2=new DataVo();d3ataVo2.setName("装配件");d3ataVo2.setValue(231);  data3.add(d3ataVo2);
        DataVo d3ataVo3=new DataVo(); d3ataVo3.setName("包装材料");d3ataVo3.setValue(145); data3.add(d3ataVo3);
        DataVo d3ataVo4=new DataVo();d3ataVo4.setName("油料化工"); d3ataVo4.setValue(352);  data3.add(d3ataVo4);
        DataVo d3ataVo5=new DataVo();d3ataVo5.setName("设备配件"); d3ataVo5.setValue(134);data3.add(d3ataVo5);
        DataVo d3ataVo6=new DataVo(); d3ataVo6.setName("其他"); d3ataVo6.setValue(130);  data3.add(d3ataVo6);
        List<DataVo>data4=new ArrayList<>();
        DataVo d4ataVo=new DataVo();  d4ataVo.setName("原材料"); d4ataVo.setValue(320); data4.add(d4ataVo);
        DataVo d4ataVo2=new DataVo();d4ataVo2.setName("装配件");d4ataVo2.setValue(302);  data4.add(d4ataVo2);
        DataVo d4ataVo3=new DataVo(); d4ataVo3.setName("包装材料");d4ataVo3.setValue(301); data4.add(d4ataVo3);
        DataVo d4ataVo4=new DataVo();d4ataVo4.setName("油料化工"); d4ataVo4.setValue(334);  data4.add(d4ataVo4);
        DataVo d4ataVo5=new DataVo();d4ataVo5.setName("设备配件"); d4ataVo5.setValue(190);data4.add(d4ataVo5);
        DataVo d4ataVo6=new DataVo(); d4ataVo6.setName("其他"); d4ataVo6.setValue(130);  data4.add(d4ataVo6);
        List<DataVo>data5=new ArrayList<>();
        DataVo d5ataVo=new DataVo();  d5ataVo.setName("原材料"); d5ataVo.setValue(220); data5.add(d5ataVo);
        DataVo d5ataVo2=new DataVo();d5ataVo2.setName("装配件");d5ataVo2.setValue(102);  data5.add(d5ataVo2);
        DataVo d5ataVo3=new DataVo(); d5ataVo3.setName("包装材料");d5ataVo3.setValue(201); data5.add(d5ataVo3);
        DataVo d5ataVo4=new DataVo();d5ataVo4.setName("油料化工"); d5ataVo4.setValue(134);  data5.add(d5ataVo4);
        DataVo d5ataVo5=new DataVo();d5ataVo5.setName("设备配件"); d5ataVo5.setValue(290);data5.add(d5ataVo5);
        DataVo d5ataVo6=new DataVo(); d5ataVo6.setName("其他"); d5ataVo6.setValue(130);  data5.add(d5ataVo6);
        docAnalysis.setData(data);
        docAnalysis.setName("采购入库");
        DocAnalysis docAnalysis2=new DocAnalysis();
        docAnalysis2.setData(data2);
        docAnalysis2.setName("盘点入库");
        DocAnalysis docAnalysis3=new DocAnalysis();
        docAnalysis3.setData(data3);
        docAnalysis3.setName("返厂入库");
        DocAnalysis docAnalysis4=new DocAnalysis();
        docAnalysis4.setData(data4);
        docAnalysis4.setName("调拨入库");
        DocAnalysis docAnalysis5=new DocAnalysis();
        docAnalysis5.setData(data5);
        docAnalysis5.setName("入库冲销");
        list.add(docAnalysis);list.add(docAnalysis2);list.add(docAnalysis3);list.add(docAnalysis4);list.add(docAnalysis5);
        return list;
    }

    @Override
    public List<Trend> trend() {
        List<Trend> list=new ArrayList<>();
        List<TrendVo>data=new ArrayList<>();
        TrendVo dataVo=new TrendVo();dataVo.setName("1月");dataVo.setValue(120);data.add(dataVo);
        TrendVo dataVo2=new TrendVo();dataVo2.setName("2月");dataVo2.setValue(145);data.add(dataVo2);
        TrendVo dataVo3=new TrendVo();dataVo3.setName("3月");dataVo3.setValue(230);data.add(dataVo3);
        TrendVo dataVo4=new TrendVo();dataVo4.setName("4月");dataVo4.setValue(145);data.add(dataVo4);
        TrendVo dataVo5=new TrendVo();dataVo5.setName("5月");dataVo5.setValue(45);data.add(dataVo5);
        TrendVo dataVo6=new TrendVo();dataVo6.setName("6月");dataVo6.setValue(222);data.add(dataVo6);
        TrendVo dataVo7=new TrendVo();dataVo7.setName("7月");dataVo7.setValue(111);data.add(dataVo7);
        TrendVo dataVo8=new TrendVo();dataVo8.setName("8月");dataVo8.setValue(560);data.add(dataVo8);
        TrendVo dataVo9=new TrendVo();dataVo9.setName("9月");dataVo9.setValue(123);data.add(dataVo9);
        TrendVo dataVo10=new TrendVo();dataVo10.setName("10月");dataVo10.setValue(320);data.add(dataVo10);
        TrendVo dataVo11=new TrendVo();dataVo11.setName("11月");dataVo11.setValue(456);data.add(dataVo11);
        TrendVo dataVo12=new TrendVo();dataVo12.setName("12月");dataVo12.setValue(123);data.add(dataVo12);

        List<TrendVo>data2=new ArrayList<>();
        TrendVo d2ataVo=new TrendVo();d2ataVo.setName("1月");d2ataVo.setValue(110);data2.add(d2ataVo);
        TrendVo d2ataVo2=new TrendVo();d2ataVo2.setName("2月");d2ataVo2.setValue(52);data2.add(d2ataVo2);
        TrendVo d2ataVo3=new TrendVo();d2ataVo3.setName("3月");d2ataVo3.setValue(156);data2.add(d2ataVo3);
        TrendVo d2ataVo4=new TrendVo();d2ataVo4.setName("4月");d2ataVo4.setValue(222);data2.add(d2ataVo4);
        TrendVo d2ataVo5=new TrendVo();d2ataVo5.setName("5月");d2ataVo5.setValue(333);data2.add(d2ataVo5);
        TrendVo d2ataVo6=new TrendVo();d2ataVo6.setName("6月");d2ataVo6.setValue(112);data2.add(d2ataVo6);
        TrendVo d2ataVo7=new TrendVo();d2ataVo7.setName("7月");d2ataVo7.setValue(520);data2.add(d2ataVo7);
        TrendVo d2ataVo8=new TrendVo();d2ataVo8.setName("8月");d2ataVo8.setValue(124);data2.add(d2ataVo8);
        TrendVo d2ataVo9=new TrendVo();d2ataVo9.setName("9月");d2ataVo9.setValue(146);data2.add(d2ataVo9);
        TrendVo d2ataVo10=new TrendVo();d2ataVo10.setName("10月");d2ataVo10.setValue(20);data2.add(d2ataVo10);
        TrendVo d2ataVo11=new TrendVo();d2ataVo11.setName("11月");d2ataVo11.setValue(260);data2.add(d2ataVo11);
        TrendVo d2ataVo12=new TrendVo();d2ataVo12.setName("12月");d2ataVo12.setValue(130);data2.add(dataVo12);

        List<TrendVo>data3=new ArrayList<>();
        TrendVo d3ataVo=new TrendVo();d3ataVo.setName("1月");d3ataVo.setValue(120);data3.add(d3ataVo);
        TrendVo d3ataVo2=new TrendVo();d3ataVo2.setName("2月");d3ataVo2.setValue(202);data3.add(d3ataVo2);
        TrendVo d3ataVo3=new TrendVo();d3ataVo3.setName("3月");d3ataVo3.setValue(301);data3.add(d3ataVo3);
        TrendVo d3ataVo4=new TrendVo();d3ataVo4.setName("4月");d3ataVo4.setValue(134);data3.add(d3ataVo4);
        TrendVo d3ataVo5=new TrendVo();d3ataVo5.setName("5月");d3ataVo5.setValue(390);data3.add(d3ataVo5);
        TrendVo d3ataVo6=new TrendVo();d3ataVo6.setName("6月");d3ataVo6.setValue(130);data3.add(d3ataVo6);
        TrendVo d3ataVo7=new TrendVo();d3ataVo7.setName("7月");d3ataVo7.setValue(120);data3.add(d3ataVo7);
        TrendVo d3ataVo8=new TrendVo();d3ataVo8.setName("8月");d3ataVo8.setValue(202);data3.add(d3ataVo8);
        TrendVo d3ataVo9=new TrendVo();d3ataVo9.setName("9月");d3ataVo9.setValue(301);data3.add(d3ataVo9);
        TrendVo d3ataVo10=new TrendVo();d3ataVo10.setName("10月");d3ataVo10.setValue(134);data3.add(d3ataVo10);
        TrendVo d3ataVo11=new TrendVo();d3ataVo11.setName("11月");d3ataVo11.setValue(390);data3.add(d3ataVo11);
        TrendVo d3ataVo12=new TrendVo();d3ataVo12.setName("12月");d3ataVo12.setValue(130);data3.add(d3ataVo12);

        List<TrendVo>data4=new ArrayList<>();
        TrendVo d4ataVo=new TrendVo();d4ataVo.setName("1月");d4ataVo.setValue(110);data4.add(d4ataVo);
        TrendVo d4ataVo2=new TrendVo();d4ataVo2.setName("2月");d4ataVo2.setValue(140);data4.add(d4ataVo2);
        TrendVo d4ataVo3=new TrendVo();d4ataVo3.setName("3月");d4ataVo3.setValue(250);data4.add(d4ataVo3);
        TrendVo d4ataVo4=new TrendVo();d4ataVo4.setName("4月");d4ataVo4.setValue(111);data4.add(d4ataVo4);
        TrendVo d4ataVo5=new TrendVo();d4ataVo5.setName("5月");d4ataVo5.setValue(123);data4.add(d4ataVo5);
        TrendVo d4ataVo6=new TrendVo();d4ataVo6.setName("6月");d4ataVo6.setValue(520);data4.add(d4ataVo6);
        TrendVo d4ataVo7=new TrendVo();d4ataVo7.setName("7月");d4ataVo7.setValue(114);data4.add(d4ataVo7);
        TrendVo d4ataVo8=new TrendVo();d4ataVo8.setName("8月");d4ataVo8.setValue(222);data4.add(d4ataVo8);
        TrendVo d4ataVo9=new TrendVo();d4ataVo9.setName("9月");d4ataVo9.setValue(140);data4.add(d4ataVo9);
        TrendVo d4ataVo10=new TrendVo();d4ataVo10.setName("10月");d4ataVo10.setValue(320);data4.add(d4ataVo10);
        TrendVo d4ataVo11=new TrendVo();d4ataVo11.setName("11月");d4ataVo11.setValue(120);data4.add(d4ataVo11);
        TrendVo d4ataVo12=new TrendVo();d4ataVo12.setName("12月");d4ataVo12.setValue(250);data4.add(d4ataVo12);

        List<TrendVo>data5=new ArrayList<>();
        TrendVo d5ataVo=new TrendVo();d5ataVo.setName("1月");d5ataVo.setValue(110);data5.add(d5ataVo);
        TrendVo d5ataVo2=new TrendVo();d5ataVo2.setName("2月");d5ataVo2.setValue(210);data5.add(d5ataVo2);
        TrendVo d5ataVo3=new TrendVo();d5ataVo3.setName("3月");d5ataVo3.setValue(150);data5.add(d5ataVo3);
        TrendVo d5ataVo4=new TrendVo();d5ataVo4.setName("4月");d5ataVo4.setValue(130);data5.add(d5ataVo4);
        TrendVo d5ataVo5=new TrendVo();d5ataVo5.setName("5月");d5ataVo5.setValue(390);data5.add(d5ataVo5);
        TrendVo d5ataVo6=new TrendVo();d5ataVo6.setName("6月");d5ataVo6.setValue(110);data5.add(d5ataVo6);
        TrendVo d5ataVo7=new TrendVo();d5ataVo7.setName("7月");d5ataVo7.setValue(250);data5.add(d5ataVo7);
        TrendVo d5ataVo8=new TrendVo();d5ataVo8.setName("8月");d5ataVo8.setValue(111);data5.add(d5ataVo8);
        TrendVo d5ataVo9=new TrendVo();d5ataVo9.setName("9月");d5ataVo9.setValue(75);data5.add(d5ataVo9);
        TrendVo d5ataVo10=new TrendVo();d5ataVo10.setName("10月");d5ataVo10.setValue(123);data5.add(d5ataVo10);
        TrendVo d5ataVo11=new TrendVo();d5ataVo11.setName("11月");d5ataVo11.setValue(44);data5.add(d5ataVo11);
        TrendVo d5ataVo12=new TrendVo();d5ataVo12.setName("12月");d5ataVo12.setValue(123);data5.add(d5ataVo12);
        Trend trend=new Trend();trend.setData(data);trend.setName("设备配件");  Trend trend2=new Trend(); trend2.setData(data2);trend2.setName("装配件");
        Trend trend3=new Trend(); trend3.setData(data3); trend3.setName("原材料"); Trend trend4=new Trend(); trend4.setData(data4);trend4.setName("包装材料");
        Trend trend5=new Trend();trend5.setData(data5);trend5.setName("油料化工");
        list.add(trend);list.add(trend2);list.add(trend3);list.add(trend4);list.add(trend5);
        return list;
    }

    @Override
    public List<Warn> warn() {
        List<Warn> list=new ArrayList<>();
        Warn warn=new Warn();warn.setName("超期预警");warn.setValue(345);
        Warn warn2=new Warn();warn2.setName("超储预警");warn2.setValue(345);
        Warn warn3=new Warn();warn3.setName("到寿预警");warn3.setValue(345);
        Warn warn4=new Warn();warn4.setName("短缺预警");warn4.setValue(95);
        list.add(warn);list.add(warn2);list.add(warn3);list.add(warn4);
        return list;
    }

    @Override
    public List<Materials> materials() {
        List<Materials> list=new ArrayList<>();
        Materials materials=new Materials();materials.setName("铝棒");materials.setValue(1048);
        Materials materials2=new Materials();materials2.setName("铝锭");materials2.setValue(735);
        Materials materials3=new Materials();materials3.setName("钛合金");materials3.setValue(679);
        Materials materials4=new Materials();materials4.setName("镁");materials4.setValue(679);
        Materials materials5=new Materials();materials5.setName("钢材");materials5.setValue(679);
        list.add(materials);list.add(materials2);list.add(materials3);list.add(materials4);list.add(materials5);
        return list;
    }

    @Override
    public List<PurchaseData> getPurchaseDataData() {
        List<PurchaseData> list=new ArrayList<>();
        PurchaseData purchaseData=new PurchaseData(); purchaseData.setName("原材料采购数量"); purchaseData.setActual(75890);
        purchaseData.setPlan(14554); purchaseData.setPecent("1.14"); purchaseData.setIsup(false);
        PurchaseData purchaseData2=new PurchaseData(); purchaseData2.setName("装配件采购数量"); purchaseData2.setActual(75890);
        purchaseData2.setPlan(14554); purchaseData2.setPecent("1.14"); purchaseData2.setIsup(false);
        PurchaseData purchaseData3=new PurchaseData(); purchaseData3.setName("包装材料采购数量"); purchaseData3.setActual(75890);
        purchaseData3.setPlan(14554); purchaseData3.setPecent("1.14"); purchaseData3.setIsup(true);
        PurchaseData purchaseData4=new PurchaseData(); purchaseData4.setName("油量化工采购采购数量"); purchaseData4.setActual(75890);
        purchaseData4.setPlan(14554); purchaseData4.setPecent("1.14"); purchaseData4.setIsup(false);
        list.add(purchaseData); list.add(purchaseData2);list.add(purchaseData3);list.add(purchaseData4);
        return list;
    }

    @Override
    public List<CostAnalysis> getCostAnalysis() {
        List<CostAnalysis> list=new ArrayList<>();
        CostAnalysis costAnalysis=new CostAnalysis();costAnalysis.setActual(22);costAnalysis.setName("装配件");costAnalysis.setPlan(111);
        CostAnalysis costAnalysis2=new CostAnalysis();costAnalysis2.setActual(22);costAnalysis2.setName("包装材料");costAnalysis2.setPlan(211);
        CostAnalysis costAnalysis3=new CostAnalysis();costAnalysis3.setActual(22);costAnalysis3.setName("油料化工");costAnalysis3.setPlan(11);
        CostAnalysis costAnalysis4=new CostAnalysis();costAnalysis4.setActual(22);costAnalysis4.setName("设备配件");costAnalysis4.setPlan(121);
        CostAnalysis costAnalysis5=new CostAnalysis();costAnalysis5.setActual(22);costAnalysis5.setName("其他");costAnalysis5.setPlan(21);
        list.add(costAnalysis);list.add(costAnalysis2);list.add(costAnalysis3);list.add(costAnalysis4);list.add(costAnalysis5);
        return list;
    }

    @Override
    public List<ContractManagement> getContractManagement() {
        List<ContractManagement> list=new ArrayList<>();
        ContractManagement contractManagement=new ContractManagement();contractManagement.setValue(4367);contractManagement.setName("已提交");
        ContractManagement contractManagement2=new ContractManagement();contractManagement2.setValue(345);contractManagement2.setName("待审核");
        ContractManagement contractManagement3=new ContractManagement();contractManagement3.setValue(321);contractManagement3.setName("已审核");
        ContractManagement contractManagement4=new ContractManagement();contractManagement4.setValue(311);contractManagement4.setName("已完成");
        list.add(contractManagement);list.add(contractManagement2);list.add(contractManagement3);list.add(contractManagement4);
        return list;
    }

    @Override
    public List<DeviationAnalysis> getDeviationAnalysis() {
        List<DeviationAnalysis> list=new ArrayList<>();
        Deviation deviation=new Deviation();
        List<String> category=new ArrayList<>();
        List<Integer> plan= Arrays.asList(100,225,123,225,144,122,126,155,252,177,250,136);
        deviation.setPlan(plan);
        List<Integer> actual=Arrays.asList(150,210,150,210,143,136,156,120,290,180,240,163);
        deviation.setActual(actual);
        List<Double> deviationRate=Arrays.asList(0.19,0.16,0.16,0.21,0.29,0.12,0.19,0.15,0.19,0.16,0.10,0.11);
        deviation.setDeviationRate(deviationRate);
        for (int i = 0; i < 12; i++) {
            category.add(i+1+"月");
        }
        Deviation deviation2=new Deviation();
        List<Integer> plan2=Arrays.asList(299,286,346,325,269,369,279,300,389,276,340,310,299,286,346,325,269,369,279,300,89,276,340,310,56,65,69,63,33,309,210);
        List<Integer> actual2=Arrays.asList(269,256,336,355,229,339,219,350,289,266,340,330,229,266,356,345,249,369,239,320,49,276,360,320,65,25,66,96,36,309,110);
        List<Double> deviationRate2=Arrays.asList(0.19,0.16,0.16,0.21,0.29,0.12,0.19,0.15,0.19,0.16,0.10,0.11,0.19,0.16,0.16,0.21,0.29,0.12,0.19,0.15,0.19,0.16,0.10,0.11,0.16,0.16,0.15,0.19,0.19,0.21,0.21);
        List<String> category2=new ArrayList<>();
        deviation2.setPlan(plan2);deviation2.setActual(actual2);deviation2.setDeviationRate(deviationRate2);
        for (int i = 0; i < 31; i++) {
            category2.add(i+1+"日");
        }
        Deviation deviation3=new Deviation();
        List<Integer> plan3=Arrays.asList(299,286,346,325);
        List<Integer> actual3=Arrays.asList(265,268,334,310);
        List<Double> deviationRate3=Arrays.asList(0.19,0.16,0.16,0.15);
        deviation3.setPlan(plan3);deviation3.setActual(actual3);deviation3.setDeviationRate(deviationRate3);
        List<String> category3=new ArrayList<>();
        for (int i = 0; i < 4; i++) {
            category3.add(i+1+"季度");
        }
        DeviationAnalysis deviationAnalysis=new DeviationAnalysis();
        DeviationAnalysis deviationAnalysis2=new DeviationAnalysis();
        DeviationAnalysis deviationAnalysis3=new DeviationAnalysis();
        deviationAnalysis.setCategory(category2);deviationAnalysis.setData(deviation2);deviationAnalysis.setKey(0);deviationAnalysis.setName("月度");
        deviationAnalysis2.setCategory(category);deviationAnalysis2.setData(deviation);deviationAnalysis2.setKey(2);deviationAnalysis2.setName("年度");
        deviationAnalysis3.setCategory(category3);deviationAnalysis3.setData(deviation3);deviationAnalysis3.setKey(1);deviationAnalysis3.setName("季度");
        list.add(deviationAnalysis);list.add(deviationAnalysis2);list.add(deviationAnalysis3);
        return list;
    }

    @Override
    public List<SupplyTrends> getSupplyTrends() {
        List<SupplyTrends> list=new ArrayList<>();
        Supply deviation=new Supply();
        List<String> category=new ArrayList<>();
        List<Integer> access= Arrays.asList(100,225,123,225,144,122,126,155,252,177,250,136);
        List<Integer> deiout= Arrays.asList(150,210,150,210,143,136,156,120,290,180,240,163);
        List<Double> deviationRate= Arrays.asList(0.29,0.26,0.36,0.35,0.29,0.69,0.79,0.25,0.89,0.76,0.40,0.31);
        deviation.setAccess(access);deviation.setDieOut(deiout);deviation.setDeviationRate(deviationRate);
        for (int i = 0; i < 12; i++) {
            category.add(i+1+"月");
        }
        Supply deviation2=new Supply();
        List<String> category2=new ArrayList<>();
        List<Integer> access2=Arrays.asList(299,286,346,325,269,369,279,300,389,276,340,310,299,286,346,325,269,369,279,300,89,276,340,310,56,65,69,63,33,309,101);
        List<Integer> deiout2=Arrays.asList(269,256,336,355,229,339,219,350,289,266,340,330,229,266,356,345,249,369,239,320,49,276,360,320,65,25,66,96,36,309,110);
        List<Double> deviationRate2=Arrays.asList(0.19,0.16,0.16,0.21,0.29,0.12,0.19,0.15,0.19,0.16,0.10,0.11,0.19,0.16,0.16,0.21,0.29,0.12,0.19,0.15,0.19,0.16,0.10,0.11,0.16,0.16,0.15,0.19,0.19,0.21,0.11);
        deviation2.setAccess(access2);deviation2.setDieOut(deiout2);deviation2.setDeviationRate(deviationRate2);
        for (int i = 0; i < 31; i++) {
            category2.add(i+1+"日");
        }
        Supply deviation3=new Supply();
        List<String> category3=new ArrayList<>();
        List<Integer> access3=Arrays.asList(299,286,346,325);
        List<Integer> deiout3=Arrays.asList(265,268,334,310);
        List<Double> deviationRate3=Arrays.asList(0.19,0.26,0.16,0.15);
        deviation3.setAccess(access3);deviation3.setDieOut(deiout3);deviation3.setDeviationRate(deviationRate3);
        for (int i = 0; i < 4; i++) {
            category3.add(i+1+"季度");
        }
        SupplyTrends deviationAnalysis=new SupplyTrends();
        SupplyTrends deviationAnalysis2=new SupplyTrends();
        SupplyTrends deviationAnalysis3=new SupplyTrends();
        deviationAnalysis.setCategory(category2);deviationAnalysis.setData(deviation2);deviationAnalysis.setKey(0);deviationAnalysis.setName("月度");
        deviationAnalysis2.setCategory(category);deviationAnalysis2.setData(deviation);deviationAnalysis2.setKey(2);deviationAnalysis2.setName("年度");
        deviationAnalysis3.setCategory(category3);deviationAnalysis3.setData(deviation3);deviationAnalysis3.setKey(1);deviationAnalysis3.setName("季度");
        list.add(deviationAnalysis);list.add(deviationAnalysis2);list.add(deviationAnalysis3);
        return list;
    }

    @Override
    public PurchasePrice getPurchasePrice() {
        PurchasePrice purchasePrice=new PurchasePrice();
        List<String>category=new ArrayList<>();
        category.add("铝锭"); category.add("钢材"); category.add("铜"); category.add("煤灰"); category.add("其他");
        List<Serie> series=new ArrayList<>();
        List<Double>data=new ArrayList<>();data.add(2.0);data.add(4.9);data.add(7.0);data.add(23.2);data.add(25.6);
        Serie serie=new Serie(); serie.setData(data);serie.setName("2021年");series.add(serie);
        List<Double>data2=new ArrayList<>();data2.add(2.6);data2.add(5.9);data2.add(9.0);data2.add(26.2);data2.add(28.6);
        Serie serie2=new Serie(); serie2.setData(data);serie2.setName("2022年");series.add(serie2);
        List<Double>data3=new ArrayList<>();data3.add(2.0);data3.add(2.2);data3.add(3.3);data3.add(4.5);data3.add(6.3);
        Serie serie3=new Serie(); serie3.setData(data);serie3.setName("偏差率");series.add(serie3);
        purchasePrice.setSeries(series);purchasePrice.setCategory(category);
        return purchasePrice;
    }

    @Override
    public List<ContractTypes> getContractTypes() {
        List<ContractTypes> contractTypes=new ArrayList<>();
        ContractTypes contractTypes1=new ContractTypes();contractTypes1.setName("包装材料");contractTypes1.setValue(1048);
        ContractTypes contractTypes2=new ContractTypes();contractTypes2.setName("主材");contractTypes2.setValue(735);
        ContractTypes contractTypes3=new ContractTypes();contractTypes3.setName("装配件");contractTypes3.setValue(679);
        ContractTypes contractTypes4=new ContractTypes();contractTypes4.setName("设备配件");contractTypes4.setValue(666);
        ContractTypes contractTypes5=new ContractTypes();contractTypes5.setName("其他");contractTypes5.setValue(367);
        contractTypes.add(contractTypes1); contractTypes.add(contractTypes2); contractTypes.add(contractTypes3); contractTypes.add(contractTypes4); contractTypes.add(contractTypes5);
        return contractTypes;
    }

    @Override
    public List<SaleStatisticsData> getSalesStatistics() {
        List<SaleStatisticsData>list=new ArrayList<>();
        SaleStatisticsData saleStatisticsData=new SaleStatisticsData();
        saleStatisticsData.setIsup(true);saleStatisticsData.setName("本月销售目标");saleStatisticsData.setPecent("1.14");saleStatisticsData.setNum(758900);
        SaleStatisticsData saleStatisticsData2=new SaleStatisticsData();
        saleStatisticsData2.setIsup(false);saleStatisticsData2.setName("实际销售金额");saleStatisticsData2.setPecent("0.06");saleStatisticsData2.setNum(166);
        SaleStatisticsData saleStatisticsData3=new SaleStatisticsData();
        saleStatisticsData3.setIsup(false);saleStatisticsData3.setName("本月回款目标");saleStatisticsData3.setPecent("1.62");saleStatisticsData3.setNum(231);
        SaleStatisticsData saleStatisticsData4=new SaleStatisticsData();
        saleStatisticsData4.setIsup(false);saleStatisticsData4.setName("实际回款金额");saleStatisticsData4.setPecent("0.02");saleStatisticsData4.setNum(2188);
        SaleStatisticsData saleStatisticsData5=new SaleStatisticsData();
        saleStatisticsData5.setIsup(true);saleStatisticsData5.setName("今年完成销售额");saleStatisticsData5.setPecent("10.5");saleStatisticsData5.setNum(1477589);
        list.add(saleStatisticsData); list.add(saleStatisticsData2); list.add(saleStatisticsData3); list.add(saleStatisticsData4); list.add(saleStatisticsData5);
        return list;
    }

    @Override
    public List<ProportionSale> getProportionSale() {
        List<ProportionSale> list=new ArrayList<>();
        ProportionSale warn=new ProportionSale();warn.setName("产品一");warn.setValue(168);
        ProportionSale warn2=new ProportionSale();warn2.setName("产品二");warn2.setValue(162);
        ProportionSale warn3=new ProportionSale();warn3.setName("产品三");warn3.setValue(87);
        ProportionSale warn4=new ProportionSale();warn4.setName("产品四");warn4.setValue(95);
        ProportionSale warn5=new ProportionSale();warn5.setName("产品五");warn5.setValue(162);
        ProportionSale warn6=new ProportionSale();warn6.setName("产品六");warn6.setValue(87);
        list.add(warn);list.add(warn2);list.add(warn3);list.add(warn4);list.add(warn5);list.add(warn6);
        return list;
    }

    @Override
    public List<ProportionSale> getProportionIncome() {
        List<ProportionSale> list=new ArrayList<>();
        ProportionSale warn=new ProportionSale();warn.setName("重庆总部");warn.setValue(345);
        ProportionSale warn2=new ProportionSale();warn2.setName("天津分公司");warn2.setValue(345);
        ProportionSale warn3=new ProportionSale();warn3.setName("广西分公司");warn3.setValue(345);
        list.add(warn);list.add(warn2);list.add(warn3);
        return list;
    }

    @Override
    public List<ProportionSale> getProductAnalysis() {
        List<ProportionSale> list=new ArrayList<>();
        ProportionSale warn=new ProportionSale();warn.setName("产品一");warn.setValue(168);
        ProportionSale warn2=new ProportionSale();warn2.setName("产品二");warn2.setValue(162);
        ProportionSale warn3=new ProportionSale();warn3.setName("产品三");warn3.setValue(87);
        ProportionSale warn4=new ProportionSale();warn4.setName("产品四");warn4.setValue(95);
        ProportionSale warn5=new ProportionSale();warn5.setName("产品五");warn5.setValue(162);
        list.add(warn);list.add(warn2);list.add(warn3);list.add(warn4);list.add(warn5);
        return list;
    }

    @Override
    public List<SalesAnalysis> getSalesAnalysis() {
        List<SalesAnalysis> list=new ArrayList<>();
        List<ProportionSale> proportionSales=new ArrayList<>();
        ProportionSale warn=new ProportionSale();warn.setName("1月");warn.setValue(168);
        ProportionSale warn2=new ProportionSale();warn2.setName("2月");warn2.setValue(162);
        ProportionSale warn3=new ProportionSale();warn3.setName("3月");warn3.setValue(87);
        ProportionSale warn4=new ProportionSale();warn4.setName("4月");warn4.setValue(95);
        ProportionSale warn5=new ProportionSale();warn5.setName("5月");warn5.setValue(162);
        ProportionSale warn6=new ProportionSale();warn6.setName("6月");warn6.setValue(87);
        ProportionSale warn7=new ProportionSale();warn7.setName("7月");warn7.setValue(168);
        ProportionSale warn8=new ProportionSale();warn8.setName("8月");warn8.setValue(162);
        ProportionSale warn9=new ProportionSale();warn9.setName("9月");warn9.setValue(87);
        ProportionSale warn10=new ProportionSale();warn10.setName("10月");warn10.setValue(95);
        ProportionSale warn11=new ProportionSale();warn11.setName("11月");warn11.setValue(162);
        ProportionSale warn12=new ProportionSale();warn12.setName("12月");warn12.setValue(87);
        proportionSales.add(warn); proportionSales.add(warn2); proportionSales.add(warn3); proportionSales.add(warn4); proportionSales.add(warn5); proportionSales.add(warn6);
        proportionSales.add(warn7); proportionSales.add(warn8); proportionSales.add(warn9); proportionSales.add(warn10); proportionSales.add(warn11); proportionSales.add(warn12);
        SalesAnalysis analysis=new SalesAnalysis();analysis.setData(proportionSales);analysis.setName("计划销售");
        SalesAnalysis analysis2=new SalesAnalysis();analysis2.setData(proportionSales);analysis2.setName("实际销售");
        list.add(analysis);list.add(analysis2);
        return list;
    }

    @Override
    public List<SalesAnalysis> getProfitAnalysis() {
        List<SalesAnalysis> list=new ArrayList<>();
        List<ProportionSale> proportionSales=new ArrayList<>();
        ProportionSale warn=new ProportionSale();warn.setName("1月");warn.setValue(168);
        ProportionSale warn2=new ProportionSale();warn2.setName("2月");warn2.setValue(162);
        ProportionSale warn3=new ProportionSale();warn3.setName("3月");warn3.setValue(87);
        ProportionSale warn4=new ProportionSale();warn4.setName("4月");warn4.setValue(95);
        ProportionSale warn5=new ProportionSale();warn5.setName("5月");warn5.setValue(162);
        ProportionSale warn6=new ProportionSale();warn6.setName("6月");warn6.setValue(87);
        ProportionSale warn7=new ProportionSale();warn7.setName("7月");warn7.setValue(168);
        ProportionSale warn8=new ProportionSale();warn8.setName("8月");warn8.setValue(162);
        ProportionSale warn9=new ProportionSale();warn9.setName("9月");warn9.setValue(87);
        ProportionSale warn10=new ProportionSale();warn10.setName("10月");warn10.setValue(95);
        ProportionSale warn11=new ProportionSale();warn11.setName("11月");warn11.setValue(162);
        ProportionSale warn12=new ProportionSale();warn12.setName("12月");warn12.setValue(87);
        proportionSales.add(warn); proportionSales.add(warn2); proportionSales.add(warn3); proportionSales.add(warn4); proportionSales.add(warn5); proportionSales.add(warn6);
        proportionSales.add(warn7); proportionSales.add(warn8); proportionSales.add(warn9); proportionSales.add(warn10); proportionSales.add(warn11); proportionSales.add(warn12);
        SalesAnalysis analysis=new SalesAnalysis();analysis.setData(proportionSales);analysis.setName("预计利润");
        SalesAnalysis analysis2=new SalesAnalysis();analysis2.setData(proportionSales);analysis2.setName("实际利润");
        SalesAnalysis analysis3=new SalesAnalysis();analysis3.setData(proportionSales);analysis3.setName("偏差率");
        list.add(analysis);list.add(analysis2);list.add(analysis3);
        return list;
    }

    @Override
    public List<DocAnalysis> getDocAnalysisOut() {
        List<DocAnalysis> list=new ArrayList<>();
        List<DataVo>data=new ArrayList<>();
        DocAnalysis docAnalysis=new DocAnalysis();
        DataVo dataVo=new DataVo();  dataVo.setName("原材料"); dataVo.setValue(123); data.add(dataVo);
        DataVo dataVo2=new DataVo();dataVo2.setName("装配件");dataVo2.setValue(110);  data.add(dataVo2);
        DataVo dataVo3=new DataVo(); dataVo3.setName("包装材料");dataVo3.setValue(140); data.add(dataVo3);
        DataVo dataVo4=new DataVo();dataVo4.setName("油料化工"); dataVo4.setValue(111);  data.add(dataVo4);
        DataVo dataVo5=new DataVo();dataVo5.setName("设备配件"); dataVo5.setValue(100);data.add(dataVo5);
        DataVo dataVo6=new DataVo(); dataVo6.setName("其他"); dataVo6.setValue(420);  data.add(dataVo6);
        List<DataVo>data2=new ArrayList<>();
        DataVo d2ataVo=new DataVo();  d2ataVo.setName("原材料"); d2ataVo.setValue(120); data2.add(d2ataVo);
        DataVo d2ataVo2=new DataVo();d2ataVo2.setName("装配件");d2ataVo2.setValue(140);  data2.add(d2ataVo2);
        DataVo d2ataVo3=new DataVo(); d2ataVo3.setName("包装材料");d2ataVo3.setValue(210); data2.add(d2ataVo3);
        DataVo d2ataVo4=new DataVo();d2ataVo4.setName("油料化工"); d2ataVo4.setValue(230);  data2.add(d2ataVo4);
        DataVo d2ataVo5=new DataVo();d2ataVo5.setName("设备配件"); d2ataVo5.setValue(120);data2.add(d2ataVo5);
        DataVo d2ataVo6=new DataVo(); d2ataVo6.setName("其他"); d2ataVo6.setValue(140);  data2.add(d2ataVo6);
        List<DataVo>data3=new ArrayList<>();
        DataVo d3ataVo=new DataVo();  d3ataVo.setName("原材料"); d3ataVo.setValue(120); data3.add(d3ataVo);
        DataVo d3ataVo2=new DataVo();d3ataVo2.setName("装配件");d3ataVo2.setValue(231);  data3.add(d3ataVo2);
        DataVo d3ataVo3=new DataVo(); d3ataVo3.setName("包装材料");d3ataVo3.setValue(145); data3.add(d3ataVo3);
        DataVo d3ataVo4=new DataVo();d3ataVo4.setName("油料化工"); d3ataVo4.setValue(110);  data3.add(d3ataVo4);
        DataVo d3ataVo5=new DataVo();d3ataVo5.setName("设备配件"); d3ataVo5.setValue(201);data3.add(d3ataVo5);
        DataVo d3ataVo6=new DataVo(); d3ataVo6.setName("其他"); d3ataVo6.setValue(140);  data3.add(d3ataVo6);
        List<DataVo>data4=new ArrayList<>();
        DataVo d4ataVo=new DataVo();  d4ataVo.setName("原材料"); d4ataVo.setValue(320); data4.add(d4ataVo);
        DataVo d4ataVo2=new DataVo();d4ataVo2.setName("装配件");d4ataVo2.setValue(120);  data4.add(d4ataVo2);
        DataVo d4ataVo3=new DataVo(); d4ataVo3.setName("包装材料");d4ataVo3.setValue(301); data4.add(d4ataVo3);
        DataVo d4ataVo4=new DataVo();d4ataVo4.setName("油料化工"); d4ataVo4.setValue(110);  data4.add(d4ataVo4);
        DataVo d4ataVo5=new DataVo();d4ataVo5.setName("设备配件"); d4ataVo5.setValue(190);data4.add(d4ataVo5);
        DataVo d4ataVo6=new DataVo(); d4ataVo6.setName("其他"); d4ataVo6.setValue(123);  data4.add(d4ataVo6);
        List<DataVo>data5=new ArrayList<>();
        DataVo d5ataVo=new DataVo();  d5ataVo.setName("原材料"); d5ataVo.setValue(112); data5.add(d5ataVo);
        DataVo d5ataVo2=new DataVo();d5ataVo2.setName("装配件");d5ataVo2.setValue(114);  data5.add(d5ataVo2);
        DataVo d5ataVo3=new DataVo(); d5ataVo3.setName("包装材料");d5ataVo3.setValue(320); data5.add(d5ataVo3);
        DataVo d5ataVo4=new DataVo();d5ataVo4.setName("油料化工"); d5ataVo4.setValue(210);  data5.add(d5ataVo4);
        DataVo d5ataVo5=new DataVo();d5ataVo5.setName("设备配件"); d5ataVo5.setValue(310);data5.add(d5ataVo5);
        DataVo d5ataVo6=new DataVo(); d5ataVo6.setName("其他"); d5ataVo6.setValue(130);  data5.add(d5ataVo6);
        docAnalysis.setData(data);
        docAnalysis.setName("领料出库");
        DocAnalysis docAnalysis2=new DocAnalysis();
        docAnalysis2.setData(data2);
        docAnalysis2.setName("调拔出库");
        DocAnalysis docAnalysis3=new DocAnalysis();
        docAnalysis3.setData(data3);
        docAnalysis3.setName("退货出库");
        DocAnalysis docAnalysis4=new DocAnalysis();
        docAnalysis4.setData(data4);
        docAnalysis4.setName("盘点出库");
        DocAnalysis docAnalysis5=new DocAnalysis();
        docAnalysis5.setData(data5);
        docAnalysis5.setName("出库报废");
        list.add(docAnalysis);list.add(docAnalysis2);list.add(docAnalysis3);list.add(docAnalysis4);list.add(docAnalysis5);
        return list;
    }

    @Override
    public List<Trend> trendOut() {
        List<Trend> list=new ArrayList<>();
        List<TrendVo>data=new ArrayList<>();
        TrendVo dataVo=new TrendVo();dataVo.setName("1月");dataVo.setValue(120);data.add(dataVo);
        TrendVo dataVo2=new TrendVo();dataVo2.setName("2月");dataVo2.setValue(145);data.add(dataVo2);
        TrendVo dataVo3=new TrendVo();dataVo3.setName("3月");dataVo3.setValue(230);data.add(dataVo3);
        TrendVo dataVo4=new TrendVo();dataVo4.setName("4月");dataVo4.setValue(145);data.add(dataVo4);
        TrendVo dataVo5=new TrendVo();dataVo5.setName("5月");dataVo5.setValue(45);data.add(dataVo5);
        TrendVo dataVo6=new TrendVo();dataVo6.setName("6月");dataVo6.setValue(222);data.add(dataVo6);
        TrendVo dataVo7=new TrendVo();dataVo7.setName("7月");dataVo7.setValue(111);data.add(dataVo7);
        TrendVo dataVo8=new TrendVo();dataVo8.setName("8月");dataVo8.setValue(560);data.add(dataVo8);
        TrendVo dataVo9=new TrendVo();dataVo9.setName("9月");dataVo9.setValue(123);data.add(dataVo9);
        TrendVo dataVo10=new TrendVo();dataVo10.setName("10月");dataVo10.setValue(320);data.add(dataVo10);
        TrendVo dataVo11=new TrendVo();dataVo11.setName("11月");dataVo11.setValue(456);data.add(dataVo11);
        TrendVo dataVo12=new TrendVo();dataVo12.setName("12月");dataVo12.setValue(123);data.add(dataVo12);

        List<TrendVo>data2=new ArrayList<>();
        TrendVo d2ataVo=new TrendVo();d2ataVo.setName("1月");d2ataVo.setValue(110);data2.add(d2ataVo);
        TrendVo d2ataVo2=new TrendVo();d2ataVo2.setName("2月");d2ataVo2.setValue(52);data2.add(d2ataVo2);
        TrendVo d2ataVo3=new TrendVo();d2ataVo3.setName("3月");d2ataVo3.setValue(156);data2.add(d2ataVo3);
        TrendVo d2ataVo4=new TrendVo();d2ataVo4.setName("4月");d2ataVo4.setValue(222);data2.add(d2ataVo4);
        TrendVo d2ataVo5=new TrendVo();d2ataVo5.setName("5月");d2ataVo5.setValue(333);data2.add(d2ataVo5);
        TrendVo d2ataVo6=new TrendVo();d2ataVo6.setName("6月");d2ataVo6.setValue(112);data2.add(d2ataVo6);
        TrendVo d2ataVo7=new TrendVo();d2ataVo7.setName("7月");d2ataVo7.setValue(520);data2.add(d2ataVo7);
        TrendVo d2ataVo8=new TrendVo();d2ataVo8.setName("8月");d2ataVo8.setValue(124);data2.add(d2ataVo8);
        TrendVo d2ataVo9=new TrendVo();d2ataVo9.setName("9月");d2ataVo9.setValue(146);data2.add(d2ataVo9);
        TrendVo d2ataVo10=new TrendVo();d2ataVo10.setName("10月");d2ataVo10.setValue(20);data2.add(d2ataVo10);
        TrendVo d2ataVo11=new TrendVo();d2ataVo11.setName("11月");d2ataVo11.setValue(260);data2.add(d2ataVo11);
        TrendVo d2ataVo12=new TrendVo();d2ataVo12.setName("12月");d2ataVo12.setValue(130);data2.add(dataVo12);

        List<TrendVo>data3=new ArrayList<>();
        TrendVo d3ataVo=new TrendVo();d3ataVo.setName("1月");d3ataVo.setValue(120);data3.add(d3ataVo);
        TrendVo d3ataVo2=new TrendVo();d3ataVo2.setName("2月");d3ataVo2.setValue(202);data3.add(d3ataVo2);
        TrendVo d3ataVo3=new TrendVo();d3ataVo3.setName("3月");d3ataVo3.setValue(301);data3.add(d3ataVo3);
        TrendVo d3ataVo4=new TrendVo();d3ataVo4.setName("4月");d3ataVo4.setValue(134);data3.add(d3ataVo4);
        TrendVo d3ataVo5=new TrendVo();d3ataVo5.setName("5月");d3ataVo5.setValue(390);data3.add(d3ataVo5);
        TrendVo d3ataVo6=new TrendVo();d3ataVo6.setName("6月");d3ataVo6.setValue(130);data3.add(d3ataVo6);
        TrendVo d3ataVo7=new TrendVo();d3ataVo7.setName("7月");d3ataVo7.setValue(120);data3.add(d3ataVo7);
        TrendVo d3ataVo8=new TrendVo();d3ataVo8.setName("8月");d3ataVo8.setValue(202);data3.add(d3ataVo8);
        TrendVo d3ataVo9=new TrendVo();d3ataVo9.setName("9月");d3ataVo9.setValue(301);data3.add(d3ataVo9);
        TrendVo d3ataVo10=new TrendVo();d3ataVo10.setName("10月");d3ataVo10.setValue(134);data3.add(d3ataVo10);
        TrendVo d3ataVo11=new TrendVo();d3ataVo11.setName("11月");d3ataVo11.setValue(390);data3.add(d3ataVo11);
        TrendVo d3ataVo12=new TrendVo();d3ataVo12.setName("12月");d3ataVo12.setValue(130);data3.add(d3ataVo12);

        List<TrendVo>data4=new ArrayList<>();
        TrendVo d4ataVo=new TrendVo();d4ataVo.setName("1月");d4ataVo.setValue(110);data4.add(d4ataVo);
        TrendVo d4ataVo2=new TrendVo();d4ataVo2.setName("2月");d4ataVo2.setValue(140);data4.add(d4ataVo2);
        TrendVo d4ataVo3=new TrendVo();d4ataVo3.setName("3月");d4ataVo3.setValue(250);data4.add(d4ataVo3);
        TrendVo d4ataVo4=new TrendVo();d4ataVo4.setName("4月");d4ataVo4.setValue(111);data4.add(d4ataVo4);
        TrendVo d4ataVo5=new TrendVo();d4ataVo5.setName("5月");d4ataVo5.setValue(123);data4.add(d4ataVo5);
        TrendVo d4ataVo6=new TrendVo();d4ataVo6.setName("6月");d4ataVo6.setValue(520);data4.add(d4ataVo6);
        TrendVo d4ataVo7=new TrendVo();d4ataVo7.setName("7月");d4ataVo7.setValue(114);data4.add(d4ataVo7);
        TrendVo d4ataVo8=new TrendVo();d4ataVo8.setName("8月");d4ataVo8.setValue(222);data4.add(d4ataVo8);
        TrendVo d4ataVo9=new TrendVo();d4ataVo9.setName("9月");d4ataVo9.setValue(140);data4.add(d4ataVo9);
        TrendVo d4ataVo10=new TrendVo();d4ataVo10.setName("10月");d4ataVo10.setValue(320);data4.add(d4ataVo10);
        TrendVo d4ataVo11=new TrendVo();d4ataVo11.setName("11月");d4ataVo11.setValue(120);data4.add(d4ataVo11);
        TrendVo d4ataVo12=new TrendVo();d4ataVo12.setName("12月");d4ataVo12.setValue(250);data4.add(d4ataVo12);

        List<TrendVo>data5=new ArrayList<>();
        TrendVo d5ataVo=new TrendVo();d5ataVo.setName("1月");d5ataVo.setValue(110);data5.add(d5ataVo);
        TrendVo d5ataVo2=new TrendVo();d5ataVo2.setName("2月");d5ataVo2.setValue(210);data5.add(d5ataVo2);
        TrendVo d5ataVo3=new TrendVo();d5ataVo3.setName("3月");d5ataVo3.setValue(150);data5.add(d5ataVo3);
        TrendVo d5ataVo4=new TrendVo();d5ataVo4.setName("4月");d5ataVo4.setValue(130);data5.add(d5ataVo4);
        TrendVo d5ataVo5=new TrendVo();d5ataVo5.setName("5月");d5ataVo5.setValue(390);data5.add(d5ataVo5);
        TrendVo d5ataVo6=new TrendVo();d5ataVo6.setName("6月");d5ataVo6.setValue(110);data5.add(d5ataVo6);
        TrendVo d5ataVo7=new TrendVo();d5ataVo7.setName("7月");d5ataVo7.setValue(250);data5.add(d5ataVo7);
        TrendVo d5ataVo8=new TrendVo();d5ataVo8.setName("8月");d5ataVo8.setValue(111);data5.add(d5ataVo8);
        TrendVo d5ataVo9=new TrendVo();d5ataVo9.setName("9月");d5ataVo9.setValue(75);data5.add(d5ataVo9);
        TrendVo d5ataVo10=new TrendVo();d5ataVo10.setName("10月");d5ataVo10.setValue(123);data5.add(d5ataVo10);
        TrendVo d5ataVo11=new TrendVo();d5ataVo11.setName("11月");d5ataVo11.setValue(44);data5.add(d5ataVo11);
        TrendVo d5ataVo12=new TrendVo();d5ataVo12.setName("12月");d5ataVo12.setValue(123);data5.add(d5ataVo12);
        Trend trend=new Trend();trend.setData(data);trend.setName("设备配件");  Trend trend2=new Trend(); trend2.setData(data2);trend2.setName("装配件");
        Trend trend3=new Trend(); trend3.setData(data3); trend3.setName("原材料"); Trend trend4=new Trend(); trend4.setData(data4);trend4.setName("包装材料");
        Trend trend5=new Trend();trend5.setData(data5);trend5.setName("油料化工");
        list.add(trend);list.add(trend2);list.add(trend3);list.add(trend4);list.add(trend5);
        return list;
    }

}
