package com.xjrsoft.module.liteflow.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;


/**
 * @title: 规则表
 * @Author fanxp
 * @Date: 2023-11-02
 * @Version 1.0
 */
@Data
public class AddXjrLiteflowChainDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 应用名
     */
    @ApiModelProperty("应用名")
    @NotNull(message = "应用名不能为空！")
    private String applicationName;
    /**
     * 规则名
     */
    @ApiModelProperty("规则名")
    @NotNull(message = "主规则名不能为空！")
    private String chainName;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String chainDesc;
    /**
     * 规则文件
     */
    @ApiModelProperty("规则文件")
    @NotNull(message = "规则文件不能为空！")
    private String elData;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", hidden = true)
    private LocalDateTime createTime;

}
