package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDate;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import com.xjrsoft.module.material.entity.MaterialTaskAssign;
import com.xjrsoft.module.material.entity.MaterialTaskAppendix;



/**
* @title: 材料提交任务
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTaskDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 材料提交任务类型(material_type)
    */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
    * 任务名称
    */
    @ApiModelProperty("任务名称")
    private String name;
    /**
    * 状态 1=未开始 2=进行中 3=结束
    */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
    * 要求完成日期
    */
    @ApiModelProperty("要求完成日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate requiredCompleteTime;
    /**
    * 要求
    */
    @ApiModelProperty("要求")
    private String requirement;
    /**
    * 指派给几人
    */
    @ApiModelProperty("指派给几人")
    private Integer assignPerson;
    /**
    * 已提交人数
    */
    @ApiModelProperty("已提交人数")
    private Integer submitedPerson;
    /**
    * 按时提交
    */
    @ApiModelProperty("按时提交")
    private Integer onTimePerson;
    /**
    * 延迟提交
    */
    @ApiModelProperty("延迟提交")
    private Integer timeDelay;

    /**
    * materialTaskAssign
    */
//    @ApiModelProperty("materialTaskAssign子表")
//    private List<AddMaterialTaskAssignDto> materialTaskAssignList;
    /**
    * materialTaskAppendix
    */
    @ApiModelProperty("materialTaskAppendix子表")
    private List<AddMaterialTaskAppendixDto> materialTaskAppendixList;
}
