package com.xjrsoft.module.material.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.material.entity.MaterialTypeAssign;
import com.xjrsoft.module.material.mapper.MaterialTypeAssignMapper;
import com.xjrsoft.module.material.entity.MaterialType;
import com.xjrsoft.module.material.mapper.MaterialTypeMapper;
import com.xjrsoft.module.material.service.IMaterialTypeService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 材料提交任务类型
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class MaterialTypeServiceImpl extends MPJBaseServiceImpl<MaterialTypeMapper, MaterialType> implements IMaterialTypeService {
    private final MaterialTypeMapper materialTypeMaterialTypeMapper;

    private final MaterialTypeAssignMapper materialTypeMaterialTypeAssignMapper;


    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean add(MaterialType materialType) {
        materialTypeMaterialTypeMapper.insert(materialType);
//        for (MaterialTypeAssign materialTypeAssign : materialType.getMaterialTypeAssignList()) {
//            materialTypeAssign.setMaterialTypeId(materialType.getId());
//            materialTypeMaterialTypeAssignMapper.insert(materialTypeAssign);
//        }

        return true;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean update(MaterialType materialType) {
        materialTypeMaterialTypeMapper.updateById(materialType);
        //********************************* MaterialTypeAssign  增删改  开始 *******************************************/
//        {
            // 查出所有子级的id
//            List<MaterialTypeAssign> materialTypeAssignList = materialTypeMaterialTypeAssignMapper.selectList(Wrappers.lambdaQuery(MaterialTypeAssign.class).eq(MaterialTypeAssign::getMaterialTypeId, materialType.getId()).select(MaterialTypeAssign::getId));
//            List<Long> materialTypeAssignIds = materialTypeAssignList.stream().map(MaterialTypeAssign::getId).collect(Collectors.toList());
//            //原有子表单 没有被删除的主键
//            List<Long> materialTypeAssignOldIds = materialType.getMaterialTypeAssignList().stream().map(MaterialTypeAssign::getId).filter(Objects::nonNull).collect(Collectors.toList());
//            //找到需要删除的id
//            List<Long> materialTypeAssignRemoveIds = materialTypeAssignIds.stream().filter(item -> !materialTypeAssignOldIds.contains(item)).collect(Collectors.toList());
//
//            for (MaterialTypeAssign materialTypeAssign : materialType.getMaterialTypeAssignList()) {
//                //如果不等于空则修改
//                if (materialTypeAssign.getId() != null) {
//                    materialTypeMaterialTypeAssignMapper.updateById(materialTypeAssign);
//                }
//                //如果等于空 则新增
//                else {
//                    //已经不存在的id 删除
//                    materialTypeAssign.setMaterialTypeId(materialType.getId());
//                    materialTypeMaterialTypeAssignMapper.insert(materialTypeAssign);
//                }
//            }
//            //已经不存在的id 删除
//            if(materialTypeAssignRemoveIds.size() > 0){
//                materialTypeMaterialTypeAssignMapper.deleteBatchIds(materialTypeAssignRemoveIds);
//            }
//        }
        //********************************* MaterialTypeAssign  增删改  结束 *******************************************/

        return true;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean delete(List<Long> ids) {
        materialTypeMaterialTypeMapper.deleteBatchIds(ids);
        materialTypeMaterialTypeAssignMapper.delete(Wrappers.lambdaQuery(MaterialTypeAssign.class).in(MaterialTypeAssign::getMaterialTypeId, ids));

        return true;
    }
}
