package com.xjrsoft.module.material.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;

import java.time.LocalDate;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;

/**
* @title: 材料提交任务分页列表出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTaskPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private LocalDateTime modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 材料提交任务类型(material_type)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("材料提交任务类型(material_type)")
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
    * 任务名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任务名称")
    @ApiModelProperty("任务名称")
    private String name;
    /**
    * 状态 1=未开始 2=进行中 3=结束
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态 1=未开始 2=进行中 3=结束")
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
    * 要求完成日期
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("要求完成日期")
    @ApiModelProperty("要求完成日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate requiredCompleteTime;
    /**
    * 要求
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("要求")
    @ApiModelProperty("要求")
    private String requirement;
    /**
    * 指派给几人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("指派给几人")
    @ApiModelProperty("指派给几人")
    private Integer assignPerson;
    /**
    * 已提交人数
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("已提交人数")
    @ApiModelProperty("已提交人数")
    private Integer submitedPerson;
    /**
    * 按时提交
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("按时提交")
    @ApiModelProperty("按时提交")
    private Integer onTimePerson;
    /**
    * 延迟提交
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("延迟提交")
    @ApiModelProperty("延迟提交")
    private Integer timeDelay;

}
