package com.xjrsoft.module.oa.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.oa.dto.AddNewsDto;
import com.xjrsoft.module.oa.dto.DeleteNewsRelationDto;
import com.xjrsoft.module.oa.dto.UpdateNewsDto;
import com.xjrsoft.module.oa.dto.UpdateNewsRelationDto;
import com.xjrsoft.module.oa.entity.News;

import java.util.List;

/**
 * <p>
 * 新闻中心表 服务类
 * </p>
 *
 * @author zlf
 * @since 2022-06-16
 */
public interface INewsService extends MPJBaseService<News> {
    /**
     * 添加新闻
     *
     * @param addNewsDto
     * @return
     */
    Long add(AddNewsDto addNewsDto);
    /**
     * 修改新闻
     *
     * @param updateNewsDto
     * @return
     */
    boolean update(UpdateNewsDto updateNewsDto);
    /**
     * 删除新闻 以及 消息推送
     *
     * @param ids
     * @return
     */
    boolean delete(List<Long> ids);

    /**
     * 设置新闻阅读权限
     *
     * @param updateRelationDto
     * @return
     */
    boolean updateRelation(UpdateNewsRelationDto updateRelationDto);
    /**
     * 删除新闻阅读权限
     *
     * @param deleteNewsRelationDto
     * @return
     */
    boolean deleteRelation(DeleteNewsRelationDto deleteNewsRelationDto);

    boolean SendMessage(Long id);
}
