package com.xjrsoft.module.organization.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.organization.dto.*;
import com.xjrsoft.module.organization.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.organization.vo.UserInfoVo;
import com.xjrsoft.module.organization.vo.WeChatPageVO;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 用户 服务类
 * </p>
 *
 * @author tzx
 * @since 2022-03-02
 */
public interface IUserService extends MPJBaseService<User> {

    boolean add(AddUserDto dto);

    boolean update(UpdateUserDto dto);

    boolean deleteBatch(List<Long> ids);

    /**
     * 修改密码
     * @param dto
     * @return
     */
    boolean updatePassword(UpdatePasswordDto dto);

    /**
     * 重置密码
     * @param dto
     * @return
     */
    boolean resetPassword(ResetPasswordDto dto);

    /**
     * 批量获取用户信息
     *
     * @param ids
     * @return 用户信息
     */
    List<UserInfoVo> getUsersInfo(String ids);

    /**
     * 获取微信分页
     * @param dto
     * @return
     */
    PageOutput<WeChatPageVO> getPage(WeChatPageDto dto);
}
