package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;

import java.sql.Timestamp;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 学生干部管理分页列表出参
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
public class BaseStudentCadrePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生id")
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 班级id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级id")
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 职务id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务id")
    @ApiModelProperty("职务id")
    private Long postId;
    /**
    * 学生任职机构
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生任职机构")
    @ApiModelProperty("学生任职机构")
    private Long orgId;
    /**
    * 任职开始时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任职开始时间")
    @ApiModelProperty("任职开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;
    /**
    * 任职结束时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任职结束时间")
    @ApiModelProperty("任职结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
    * 状态（1:在职 0:离职）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:在职 0:离职）")
    @ApiModelProperty("状态（1:在职 0:离职）")
    private Integer status;
    /**
    * 离职生效日期
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("离职生效日期")
    @ApiModelProperty("离职生效日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date leaveTime;
    /**
    * 离职原因
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("离职原因")
    @ApiModelProperty("离职原因")
    private String leaveReason;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String studentId;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String userName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务")
    @ApiModelProperty("职务")
    private String post;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("级别")
    @ApiModelProperty("级别")
    private String level;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生任职机构名称")
    @ApiModelProperty("学生任职机构名称")
    private String orgName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    @ApiModelProperty("手机号")
    private String mobile;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("专业")
    @ApiModelProperty("专业")
    private String majorSetName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年级")
    @ApiModelProperty("年级")
    private String gradeName;
}
