package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 学生职务设置列表列表入参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentPostListVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 职务
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务")
    @ApiModelProperty("职务")
    private String post;
    /**
    * 职务级别
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务级别")
    @ApiModelProperty("职务级别")
    private String level;
    /**
    * 是否允许德育检查(1:是 0:否)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否允许德育检查(1:是 0:否)")
    @ApiModelProperty("是否允许德育检查(1:是 0:否)")
    private Integer isAllowedCheck;
    /**
    * 职责描述
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职责描述")
    @ApiModelProperty("职责描述")
    private String explains;
    /**
    * 是否启用(1:是 0:否)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否启用(1:是 0:否)")
    @ApiModelProperty("是否启用(1:是 0:否)")
    private Integer status;

}
