package com.xjrsoft.xjrsoftboot;

import cn.hutool.db.ds.simple.SimpleDataSource;
import com.xjrsoft.common.constant.GlobalConstant;
import com.xjrsoft.module.generator.dto.ApiGenerateCodesDto;
import com.xjrsoft.module.generator.entity.TableConfig;
import com.xjrsoft.module.generator.service.IApiGeneratorService;
import com.xjrsoft.module.generator.service.impl.ApiGeneratorServiceImpl;
import org.junit.jupiter.api.Test;

import javax.sql.DataSource;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class FreeMarkerGeneratorTest {

    private static final DataSource ds = new SimpleDataSource("jdbc:mysql://10.150.10.139:3306/tl?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true",
            "root" , "Zwr~-f6H,u6QE^]C-AD_" );

    @Test
    public void generateCodesTest() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("xjr_oa_news");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        TableConfig childTable1 = new TableConfig();
        childTable1.setTableName("xjr_oa_news_relation");
        childTable1.setIsMain(false);
        childTable1.setPkField(GlobalConstant.DEFAULT_PK);
        childTable1.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable1.setRelationField("news_id");
        childTable1.setRelationTableField(GlobalConstant.DEFAULT_PK);


        TableConfig childTable2 = new TableConfig();
        childTable2.setTableName("xjr_oa_news_relation_config");
        childTable2.setIsMain(false);
        childTable2.setPkField(GlobalConstant.DEFAULT_PK);
        childTable2.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable2.setRelationField("news_id");
        childTable2.setRelationTableField(GlobalConstant.DEFAULT_PK);

        tableConfigs.add(mainTable);
        tableConfigs.add(childTable1);
//        tableConfigs.add(childTable2);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("test");
        params.setTableConfigs(tableConfigs);
        params.setPage(true);
        params.setImport(true);
        params.setExport(true);
        params.setOutMainDir(true);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }
    @Test
    public void generateCodesTest1() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("xjr_oa_news");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        TableConfig childTable1 = new TableConfig();
        childTable1.setTableName("xjr_oa_news_relation");
        childTable1.setIsMain(false);
        childTable1.setPkField(GlobalConstant.DEFAULT_PK);
        childTable1.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable1.setRelationField("news_id");
        childTable1.setRelationTableField(GlobalConstant.DEFAULT_PK);


        TableConfig childTable2 = new TableConfig();
        childTable2.setTableName("xjr_oa_news_relation_config");
        childTable2.setIsMain(false);
        childTable2.setPkField(GlobalConstant.DEFAULT_PK);
        childTable2.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable2.setRelationField("news_id");
        childTable2.setRelationTableField(GlobalConstant.DEFAULT_PK);

        tableConfigs.add(mainTable);
        tableConfigs.add(childTable1);
//        tableConfigs.add(childTable2);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("test");
        params.setTableConfigs(tableConfigs);
        params.setPage(true);
        params.setImport(true);
        params.setExport(true);
        params.setOutMainDir(false);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcMaterialType() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("material_type");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        TableConfig childTable1 = new TableConfig();
        childTable1.setTableName("material_type_assign");
        childTable1.setIsMain(false);
        childTable1.setPkField(GlobalConstant.DEFAULT_PK);
        childTable1.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable1.setRelationField("material_type_id");
        childTable1.setRelationTableField(GlobalConstant.DEFAULT_PK);

        tableConfigs.add(mainTable);
        tableConfigs.add(childTable1);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("baicai");
        params.setPackageName("material");
        params.setTableConfigs(tableConfigs);
        params.setPage(true);
        params.setImport(true);
        params.setExport(true);
        params.setOutMainDir(false);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }


    @Test
    public void gcMaterialTask() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("material_task");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        TableConfig childTable1 = new TableConfig();
        childTable1.setTableName("material_task_assign");
        childTable1.setIsMain(false);
        childTable1.setPkField(GlobalConstant.DEFAULT_PK);
        childTable1.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable1.setRelationField("material_task_id");
        childTable1.setRelationTableField(GlobalConstant.DEFAULT_PK);


        TableConfig childTable2 = new TableConfig();
        childTable2.setTableName("material_task_appendix");
        childTable2.setIsMain(false);
        childTable2.setPkField(GlobalConstant.DEFAULT_PK);
        childTable2.setPkType(GlobalConstant.DEFAULT_PK_TYPE);
        childTable2.setRelationField("material_task_id");
        childTable2.setRelationTableField(GlobalConstant.DEFAULT_PK);

        tableConfigs.add(mainTable);
        tableConfigs.add(childTable1);
        tableConfigs.add(childTable2);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("baicai");
        params.setPackageName("material");
        params.setTableConfigs(tableConfigs);
        params.setPage(true);
        params.setImport(true);
        params.setExport(true);
        params.setOutMainDir(false);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcLiteFlowTest() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("xjr_liteflow_chain");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("liteflow");
        params.setTableConfigs(tableConfigs);
        params.setPage(false);
        params.setImport(false);
        params.setExport(false);
        params.setOutMainDir(false);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcWFPushTest() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("wf_oa_push");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("oa");
        params.setTableConfigs(tableConfigs);
        params.setPage(false);
        params.setImport(false);
        params.setExport(false);
        params.setOutMainDir(false);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcWFPullest() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("wf_oa_pull");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("oa");
        params.setTableConfigs(tableConfigs);
        params.setPage(false);
        params.setImport(false);
        params.setExport(false);
        params.setOutMainDir(false);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcfileReceiveTest() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("file_receive");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("oa");
        params.setTableConfigs(tableConfigs);
        params.setPage(true);
        params.setImport(false);
        params.setExport(false);
        params.setOutMainDir(true);
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }


    @Test
    public void gcAppWorkflowConfig() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_app_function");
        mainTable.setIsMain(true);
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);

        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");
        params.setPackageName("app");
        params.setTableConfigs(tableConfigs);
        params.setPage(false);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcBasePersonnelLabourCapital() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_personnel_labour_capital");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);

        mainTable = new TableConfig();
        mainTable.setTableName("base_personnel_labour_capital_data");//init_sql中的表名
        mainTable.setIsMain(false);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("labour_capital_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键

        tableConfigs.add(mainTable);

        mainTable = new TableConfig();
        mainTable.setTableName("base_personnel_labour_capital_title");//init_sql中的表名
        mainTable.setIsMain(false);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("labour_capital_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键

        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("personnel");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(true);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }


    /**
     * 学生干部管理
     */
    @Test
    public void gcBaseStudentCadre() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_cadre");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(true);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 快捷菜单
     */
    @Test
    public void gcXjrMenuQuick() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("xjr_menu_quick");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");//作者名称
        params.setPackageName("system");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(false);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }


    /**
     * 学生职务设置
     */
    @Test
    public void gcBaseStudentPost() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_post");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(false);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(true);//是否生成导出接口
        params.setOutMainDir(false);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }


    /**
     * 学生考核类别
     */
    @Test
    public void gcBaseStudentAssessmentCategoryPost() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_assessment_category");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(false);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 学生考核项目
     */
    @Test
    public void gcBaseStudentAssessmentProject() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_assessment_project");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(false);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 学生操行分考核类别
     */
    @Test
    public void gcBaseStudentBehaviorCategory() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_behavior_category");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(false);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(false);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 学生操行分考核项目
     */
    @Test
    public void gcBaseStudentBehaviorProject() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_behavior_project");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型

        tableConfigs.add(mainTable);


        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 学生考核项目
     */
    @Test
    public void gcBaseStudentPunishmentInfo() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_punishment_info");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        tableConfigs.add(mainTable);

        mainTable = new TableConfig();
        mainTable.setTableName("base_punishment_student_relation");//init_sql中的表名
        mainTable.setIsMain(false);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("punishment_info_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键
        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 学生班级巡查考核-关联班级
     */
    @Test
    public void gcBaseStudentAssessmentClassRelation() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_assessment_class_relation");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("fanxp");//作者名称
        params.setPackageName("test");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 学生考核项目
     */
    @Test
    public void gcBaseStudentBehaviorManage() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_behavior_manage");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        tableConfigs.add(mainTable);

        mainTable = new TableConfig();
        mainTable.setTableName("base_student_behavior_student_relation");//init_sql中的表名
        mainTable.setIsMain(false);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("base_student_behavior_manage_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键
        tableConfigs.add(mainTable);

        mainTable = new TableConfig();
        mainTable.setTableName("base_student_behavior_class_relation");//init_sql中的表名
        mainTable.setIsMain(false);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("base_student_behavior_manage_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键
        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    /**
     * 奖学金类型维护
     */
    @Test
    public void gcBaseStudentScholarshipCategory() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_scholarship_category");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        tableConfigs.add(mainTable);

        mainTable = new TableConfig();
        mainTable.setTableName("base_student_scholarship_level");//init_sql中的表名
        mainTable.setIsMain(false);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("base_student_scholarship_category_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键
        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }

    @Test
    public void gcBasestudentScholarshipApplicant() throws IOException {
        List<TableConfig> tableConfigs = new ArrayList<>();
        TableConfig mainTable = new TableConfig();
        mainTable.setTableName("base_student_scholarship_applicant");//init_sql中的表名
        mainTable.setIsMain(true);//是否是主表，一般默认为true
        mainTable.setPkField(GlobalConstant.DEFAULT_PK);//设置主键
        mainTable.setPkType(GlobalConstant.DEFAULT_PK_TYPE);//设置主键类型
        mainTable.setRelationField("base_student_scholarship_category_id");//设置外键
        mainTable.setRelationTableField(GlobalConstant.DEFAULT_PK);//设置外键
        tableConfigs.add(mainTable);

        ApiGenerateCodesDto params = new ApiGenerateCodesDto();
        params.setAuthor("dzx");//作者名称
        params.setPackageName("student");//包名
        params.setTableConfigs(tableConfigs);
        params.setPage(true);//是否生成分页接口
        params.setImport(false);//是否生成导入接口
        params.setExport(false);//是否生成导出接口
        params.setOutMainDir(true);//是否生成在主目录，前期测试可设置成false
        params.setDs(ds);


        IApiGeneratorService apiGeneratorService = new ApiGeneratorServiceImpl();

        apiGeneratorService.generateCodes(params);
    }
}
